OPENVT(1)

NAME
openvt - start a program on a new virtual terminal (VT).

SYNOPSIS
openvt [-c vtnumber] [-s] [-u] [-l] [-v] [--] command command_options

DESCRIPTION
openvt will find the first available VT, and run on it the given command with the given command options, standard input, output and error are directed to that terminal. The current search path ($PATH) is used to find the requested command. If no command is specified then the environment variable $SHELL is used.

  OPTIONS

-c vtnumber
    Use the given VT number and not the first available. Note you must have write access to the supplied VT for this to work.

-s  Switch to the new VT when starting the command. The VT of the new command will be made the new current VT.

-u  Figure out the owner of the current VT, and run login as that user. Suitable to be called by init. Shouldn't be used with -c or -l.

-l  Make the command a login shell. A - is prepended to the name of the command to be executed.

-v  Be a bit more verbose.

-w  wait for command to complete. If -w and -s are used together then openvt will switch back to the controlling terminal when the command completes.

--  end of options to openvt.

NOTE
If openvt is compiled with a POSIX (Gnu) getopt() and you wish to set options to the command to be run, then you must supply the end of options -- flag before the command.

EXAMPLES
openvt can be used to start a shell on the next free VT, by using the command:

openvt bash

To start the shell as a login shell, use:

openvt -l bash

To get a long listing you must supply the -- separator:

openvt -- ls -l

SEE ALSO
chvt(1), doshell(8), login(1).

AUTHOR
Jon Tombs <jon@gtex02.us.es or jon@robots.ox.ac.uk>
-w idea from "sam".